import { PythonProject, PythonProjectOptions } from 'projen/lib/python';
export interface PythonPackageOptions extends PythonProjectOptions {
    /**
     * List of teams used to generate the CODEOWNERS file
     * @defaultValue []
     */
    readonly codeOwners: Array<string>;
    /**
     * Include a GitHub pull request template.
     *
     * @default true
     */
    readonly pullRequestTemplate?: boolean;
    /**
     * The contents of the pull request template.
     *
     * @default - default content
     */
    readonly pullRequestTemplateContents?: string[];
}
/**
 * A Python package
 *
 *
 * @pjid python-package
 */
export declare class PythonPackage extends PythonProject {
    constructor(options: PythonPackageOptions);
}
